# Key modifiers - I can't put them at the beginning
	keycode 56 = LEFTALT_K		# left alt
	keycode 100 = RIGHTALT_K	# right alt
	keycode 58 = CAPSLOCK_K	# caps lock
	keycode 29 = LEFTCTRL_K	# left control
	keycode 97 = RIGHTCTRL_K	# right control
ifdef(`MSLW_K', `	keycode 125 = MSLW_K')
ifdef(`MSRW_K', `	keycode 126 = MSRW_K')
ifdef(`MSTM_K', `	keycode 127 = MSTM_K')

# Da togliere
		alt	keycode 14 = Last_Console
		altgr	keycode 14 = Last_Console
	control		keycode 101 = SAK
# Da togliere

# Everyone needs a compose key.  This is C-..
control	keycode	52 = Compose

# Print. I suppose there's some reason it's ^\.
SIMPLE(99, Control_backslash)
	control		keycode	99 = Control_backslash
		alt	keycode	99 = Control_backslash
# Alt or AltGr + Print generates a different scancode: SysRq
SIMPLE(84, Last_Console)

	keycode	70 = Scroll_Lock	Show_Memory
control	keycode	70 = Show_State
alt	keycode	70 = Scroll_Lock
altgr	keycode	70 = Show_Registers

SIMPLE(119, Pause)
# Ctrl + Pause generates Break
SIMPLE(101, Break)

SIMPLE(110, Insert)
SIMPLE(102, Find)
KEY(104, Prior, Scroll_Backward, N)
SIMPLE(111, Remove)
	control altgr	keycode 111 = Boot
SIMPLE(107, Select)
KEY(109, Next, Scroll_Forward, N)

# Non-standard keys
SIMPLE(112, Macro)
SIMPLE(113, F13)
SIMPLE(114, F14)
SIMPLE(115, Help)
SIMPLE(116, Do)
SIMPLE(117, F17)

SIMPLE(103, Up)
alt	keycode 103 = Spawn_Console
altgr	keycode 103 = Spawn_Console
SIMPLE(105, Left)
alt	keycode 105 = Decr_Console
altgr	keycode 105 = Decr_Console
SIMPLE(106, Right)
alt	keycode 105 = Decr_Console
altgr	keycode 106 = Incr_Console
SIMPLE(108, Down)

control	alt	keycode 83 = Boot
control	alt	keycode 111 = Boot

dnl* top row
KEY(1, Escape, Escape)
FUNCTION(59, 1)
FUNCTION(60, 2)
FUNCTION(61, 3)
FUNCTION(62, 4)
FUNCTION(63, 5)
FUNCTION(64, 6)
FUNCTION(65, 7)
FUNCTION(66, 8)
FUNCTION(67, 9)
FUNCTION(68, 10)
FUNCTION(87, 11)
FUNCTION(88, 12)

dnl* keypad
KEY(69, Num_Lock, Bare_Num_Lock, N)
SIMPLE(98, KP_Divide)
SIMPLE(55, KP_Multiply)
SIMPLE(74, KP_Subtract)
KPDIGIT(71, 7)
KPDIGIT(72, 8)
KPDIGIT(73, 9)
KPDIGIT(75, 4)
KPDIGIT(76, 5)
KPDIGIT(77, 6)
SIMPLE(78, KP_Add)
KPDIGIT(79, 1)
KPDIGIT(80, 2)
KPDIGIT(81, 3)
KPDIGIT(82, 0)
SIMPLE(83, KP_Period)
SIMPLE(96, KP_Enter)
SIMPLE(118, KP_MinPlus)

# Stock VT102 string definitions.
string F1 = "\033[[A"
string F2 = "\033[[B"
string F3 = "\033[[C"
string F4 = "\033[[D"
string F5 = "\033[[E"
string F6 = "\033[17~"
string F7 = "\033[18~"
string F8 = "\033[19~"
string F9 = "\033[20~"
string F10 = "\033[21~"
string F11 = "\033[23~"
string F12 = "\033[24~"
string F13 = "\033[25~"
string F14 = "\033[26~"
string F15 = "\033[28~"
string F16 = "\033[29~"
string F17 = "\033[31~"
string F18 = "\033[32~"
string F19 = "\033[33~"
string F20 = "\033[34~"
string Find = "\033[1~"
string Insert = "\033[2~"
string Remove = "\033[3~"
string Select = "\033[4~"
string Prior = "\033[5~"
string Next = "\033[6~"
string Macro = "\033[M"
string Pause = "\033[P"

